<template>
  <div id="nav"></div>
  <el-config-provider :locale="locale">
    <router-view />
  </el-config-provider>
</template>
<script>
import { ElConfigProvider } from "element-plus";
import zhCn from "element-plus/lib/locale/lang/zh-cn";
export default {
  name: "vol_app",
  components: {
    [ElConfigProvider.name]: ElConfigProvider, //添加组件
  },
  data() {
    return {
      locale: zhCn,
    };
  },
};
</script>
<style lang="less">
.header {
  //自定义
  .el-select__wrapper {
    min-height: 2rem;
    font-size: 0.88rem;
    line-height: 1.25rem;
    box-shadow: none !important;
    border: none;
    outline: none;
  }
  .el-select__placeholder.is-transparent {
    color: #101010;
    font-size: 0.88rem;
  }

  .el-input__inner {
    min-height: 2rem;
    line-height: 1.25rem;
    height: 2rem;
    font-size: 0.88rem;
    width: 15rem;
  }

  .el-input__wrapper {
    box-shadow: none !important;
  }

  .el-input__wrapper.is-focus {
    box-shadow: none !important;
  }
}

.el-menu-item.is-active {
  color: #fff !important;
  background-color: #1f63ff;
}

.el-menu-item:hover {
  outline: 0 !important;
  color: #fff !important;
  background-color: #1f63ff !important;
}

.el-menu {
  border: 0 !important;
}

.paginationBox {
  /deep/ .btn-prev {
    //上一页按钮
    background-color: #ffff;
    color: #101010 60%;
    font-size: 0.88rem;
  }

  /deep/ .btn-next {
    //下一页按钮
    background-color: #fff;
    color: #101010 60%;
    font-size: 0.88rem;
  }

  /deep/ .el-pagination__jump {
    color: #000; //前往（）页
    font-size: 0.88rem;
  }

  /deep/ .el-input__inner {
    color: #020202; //文字颜色
  }

  /deep/ .el-pager li {
    //按钮列表
    border-radius: 0.19rem;
    background-color: rgba(255, 255, 255, 1);
    color: rgba(2, 2, 2, 0.6);
    font-size: 0.88rem;
    text-align: center;
    border: 0.06rem solid rgba(220, 220, 220, 1);
    margin-right: 0.5rem;
  }

  /deep/ .el-pager li:hover {
    //按钮列表 hover
    color: rgba(38, 111, 232, 1);
    border: 0.06rem solid rgba(38, 111, 232, 1);
  }
}

/* 编写媒体查询，根据屏幕大小改变html的字体大小 */

@media screen and (max-width: 1200px) {
  html {
    font-size: 10px;
  }
}

@media screen and (min-width: 1200px) and (max-width: 1440px) {
  html {
    font-size: 10px;
  }
}

@media screen and (min-width: 1440px) and (max-width: 1680px) {
  html {
    font-size: 12px;
  }
}

@media screen and (min-width: 1680px) and (max-width: 1920px) {
  html {
    font-size: 14px;
  }
}

@media screen and (min-width: 1920px) and (max-width: 2560px) {
  html {
    font-size: 16px;
  }
}

@media screen and (min-width: 2560px) and (max-width: 3840px) {
  html {
    font-size: 18px;
  }
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  height: 100%;
  width: 100%;
}

.el-alert--error.is-light {
  border: 1px solid #ffe0e0;
}

.el-alert--error.is-light {
  color: #f74444 !important;
}

.el-alert--warning.is-light {
  border: 1px solid #ffe6c1;
}

.el-alert--info.is-light {
  border: 1px solid #e6e5e5;
}

.el-alert--info .el-alert__description {
  color: #6b6b6b !important;
}

.el-alert--warning.is-light {
  background-color: #fdf6ec;
  color: #d68409 !important;
}

.el-alert--success.is-light {
  border: 1px solid #cdf7b8;
}

.el-alert--success.is-light .el-alert__description {
  color: #3baf02 !important;
}
</style>
